Bug 1351823 - include sanlock and shadow-utils package in ovirt-node build
Summary: include sanlock and shadow-utils package in ovirt-node build
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node
Version: 3.5.7
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ovirt-3.5.9
: ---
Assignee: Douglas Schilling Landgraf
QA Contact: dguo
URL:
Whiteboard:
Keywords: ZStream
Depends On:
Blocks: rhevh-3.5-6.8
TreeView+ depends on / blocked
 
Reported: 2016-07-01 01:08 UTC by Douglas Schilling Landgraf
Modified: 2016-08-03 14:28 UTC (History)
9 users (show)

(edit)
Red Hat Enterprise Virtualization Hypervisor now includes three new requirements for RPM installation: sanlock >= 2.8-3, sanlock-python, and shadow-utils. This enhancement helps related components of Red Hat Enterprise Virtualization Hypervisor when adding system users during the
installation.
Clone Of:
(edit)
Last Closed: 2016-08-03 14:28:50 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:1557 normal SHIPPED_LIVE ovirt-node bug fix and enhancement update for RHEV 3.5 2016-08-03 18:28:36 UTC
oVirt gerrit 60368 ovirt-3.5 MERGED spec: vdsm won't re-spin for 3.5 adding requirements 2016-07-07 16:38 UTC

Description Douglas Schilling Landgraf 2016-07-01 01:08:03 UTC
Description of problem:

According with bz#1349218 vdsm 3.5 will be rebuild only in case of critical updates so there is no space for adding new VDSM requirements. In that case, it's required to workaround via ovirt-node.

Comment 1 Douglas Schilling Landgraf 2016-07-05 18:42:58 UTC
To test this bug the rhev-h image must have:


sanlock-2.8-3.el6.x86_64 or higher
sanlock-lib-2.8-3.el6.x86_64 or higher
sanlock-python-2.8-3.el6.x86_64 or higher

and vdsm must be part of sanlock and qemu groups.

# cat /etc/redhat-release 
Red Hat Enterprise Virtualization Hypervisor release 6.8 (20160630.2.el6ev)

# rpm -qa | grep -i sanlock
sanlock-lib-2.8-3.el6.x86_64
sanlock-2.8-3.el6.x86_64
sanlock-python-2.8-3.el6.x86_64
libvirt-lock-sanlock-0.10.2-60.el6.x86_64

# grep vdsm /etc/group
sanlock:x:179:vdsm
qemu:x:107:vdsm,sanlock

Comment 3 dguo 2016-08-01 08:33:35 UTC
Verified using package rhev-hypervisor6-6.8-20160707.3

[root@hp-dl585g7-03 data]# cat /etc/redhat-release 
Red Hat Enterprise Virtualization Hypervisor release 6.8 (20160707.3.el6ev)
[root@hp-dl585g7-03 data]# rpm -qa | grep -i sanlock
sanlock-2.8-3.el6.x86_64
sanlock-lib-2.8-3.el6.x86_64
sanlock-python-2.8-3.el6.x86_64
libvirt-lock-sanlock-0.10.2-60.el6.x86_64
[root@hp-dl585g7-03 data]# grep vdsm /etc/group
sanlock:x:179:vdsm
qemu:x:107:vdsm,sanlock

Comment 6 errata-xmlrpc 2016-08-03 14:28:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-1557.html


Note You need to log in before you can comment on or make changes to this bug.